Subject: Re: [PATCH v3 07/13] [POWERPC] TQM5200 DTS

From: Marian Balakowicz <[email-masked]>
Date: Fri, 09 Nov 2007 15:15:52 +0100

David Gibson wrote:
> On Tue, Nov 06, 2007 at 09:05:48PM +0100, Marian Balakowicz wrote:
>> Add device tree source file for TQM5200 board.
 > [snip]
>> +		usb@1000 {
>> +			device_type = "usb-ohci-be";
> 
> This device_type is bogus.  Remember having a valid device_type is the
> exception not the rule.  Really the only common device_type values are
> "cpu", "memory", "network" and "serial".

Ok, rechecked this one, doesn't seem necessary, removed.

>> +		serial@2000 {		// PSC1
>> +			device_type = "serial";
>> +			compatible = "mpc5200-psc-uart";
>> +			port-number = <0>;  // Logical port assignment
> 
> I know you said this is still needed, but the driver really needs to
> be fixed.  This is not a proper way of using the device tree for
> logical numbering.

True, driver needs fixing, but there are also other boards that use
that driver, and I am not able to test them right now. And, as I
recall Grant mentioned that he's working on straightening this up.

Cheers,
m.